Changeset 4372 for BOL


Ignore:
Timestamp:
Dec 9, 2022, 4:27:45 AM (18 months ago)
Author:
fhourdin
Message:

Ajout d'un Readme dans le tar contenant la svn

La nouvelle version de install_lmdz.sh fonctionne sans svn.
Quelques dépendances supplémentaires aussi dans install_lmdz.sh

Location:
BOL/script_install
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • BOL/script_install/creation_modipsl.sh

    r4197 r4372  
    22
    33#set -vx
     4unset LANG
    45
    56#####################################################################
    67# Choix eventuel de la version : branche ou trunk et svn particuliere
     8# Le script est lancé tous les soirs par un script sur lmdz-cq par lmdz
     9# On peut aussi le relancé depuis la même machine en interactif
     10# si le trusting de la nuit a échoué, soit que la raison soit extérieure
     11# au modèle, soit qu'on fasse une correction svn entre temps :
     12#   ./creation_modipsl.sh -force -latest 20221004
     13# où la dernière version ayant marché est 20221004.trunk
    714#####################################################################
    815
    916branche=IPSLCM6.0.15
    1017branche=trunk
    11 rev="-r 4084"
     18rev="-r 4370"
    1219rev=""
     20latest="20221201"
    1321latest=""
    1422#latest=20210512 # Pour imposer de tester la convergence avec une version passee
     
    106114fi
    107115
     116
    108117if [ "$latest" != "" ] ; then
    109118   cd /home/users/lmdz/WWW/RESUBENCH/$branche/gfortran
    110119   \rm -f latest
    111    ln -s $latest latest
     120   ln -s `pwd`/$latest latest
     121   cd -
    112122fi
    113123
     
    144154#gzip -9 $modipsltar
    145155
     156readme_file=Readme_LMDZ$version.md
     157
     158cat > $readme_file <<eod
     159This model was downloaded from
     160http://www.lmd.jussieu.fr/~lmdz/pub/src/modipsl.$version.tar.gz
     161
     162It was insalled with the \`install_lmdz.sh\` soft
     163
     164In order to see all the available versions, check
     165http://www.lmd.jussieu.fr/~lmdz/pub/src/Readme
     166
     167``
     168eod
     169
    146170cd modipsl/modeles
    147 
    148 
    149171
    150172###########################################################################
     
    154176echo Premier svn checkout $rev $svnmodel $LMDZ
    155177#ssh butler ' ( cd '`pwd`' ; svn checkout '$rev' '$svnmodel' '$LMDZ' ) '
     178echo svn checkout $rev $svnmodel $LMDZ 
    156179svn checkout $rev $svnmodel $LMDZ 
    157 
    158 ###########################################################################
    159 
    160 
    161 cd ../..
     180svn info LMDZ   >> ../../$readme_file
     181echo '``'       >> ../../$readme_file
     182
     183###########################################################################
     184
     185cd -
    162186echo $version
    163 tar cvf modipsl.$version.tar modipsl
     187tar cvf modipsl.$version.tar modipsl $readme_file
    164188
    165189gzip modipsl.$version.tar
     
    182206
    183207if [ $check = 1 ] ; then
    184    ./check_version.sh $version >| WORK/check.out.$version 2>&1
     208   ./check_version.sh $version  >| WORK/check.out.$version 2>&1
    185209   cat tmp.resu >> Correspondance
    186210   cat tmp.resu >> LISMOI.$branche
     
    189213### clean up of /tmp/lmdz if everything went smoothly
    190214###
    191 ##  grep -q 'OK OK      OK2     OK' tmp.resu
    192 ##  RET=$?
    193 ##  if [ ${RET} -eq 0 ] ; then
    194 ##    echo "Quality control checks out for version $version"
    195 ##    echo "We could cleanup /tmp/lmdz/LMDZ$version"
    196 ##    echo "\rm -rf /tmp/lmdz/LMDZ$version"
    197 ##  fi
    198 fi
     215grep -q 'OK     OK      OK2     OK' tmp.resu
     216RET=$?
     217   if [ ${RET} -eq 0 ] ; then
     218      echo "Quality control checks out for version $version"
     219      echo "We could cleanup /tmp/lmdz/LMDZ$version"
     220      echo "\rm -rf /tmp/lmdz/LMDZ$version"
     221      \rm -rf /tmp/lmdz/LMDZ$version
     222   fi
     223fi
  • BOL/script_install/install_lmdz.sh

    r4321 r4372  
    212212                     *) echo Only none v1 v2 for cosp option ; exit
    213213                 esac ;;
    214         "-nofcm") compile_with_fcm=0 ; shift ;;
     214        "-nofcm") compile_with_fcm=0 ; echo This option will be reactivated soon '(promesse du 8dec2022)' ; exit 1 ;  shift ;;
    215215        "-SCM") SCM=1 ; shift ;;
    216216        "-opt_makelmdz") OPT_MAKELMDZ="$2" ; shift ; shift ;;
     
    545545
    546546
    547 echo '################################################################'
    548547if [ "$check_linux" = 1 ] ; then
     548    echo '################################################################'
    549549    echo   Check if required software is available
    550550    echo '################################################################'
     
    562562    fi
    563563
    564     for logiciel in wget tar gzip make $compiler gcc cmake m4; do
     564    for logiciel in wget tar gzip make $compiler gcc cmake m4 c++ ; do
    565565        if [ "`which $logiciel`" = "" ] ; then
    566566            echo You must first install $logiciel on your system
     
    10301030    fi
    10311031    svn update $svnopt
    1032 fi
    1033 set -e
    1034 
    1035 ##################################################################
     1032    set -e
     1033fi
     1034
     1035#---------------------------------------------------------------------
    10361036# Retrieve the final svn release number, and adjust compilation
    10371037# options accordingly
    1038 mysvn=`svnversion . | egrep -o "[0-9]+"`
    1039 
     1038# If svn not available, will use the svn writen in $MODEL/Readm*md
     1039# For old version it assumes that it is before 4185 (the version
     1040# for which the test was introduced
     1041#---------------------------------------------------------------------
     1042
     1043set +e ; mysvn=`svnversion . | egrep -o "[0-9]+" 2>/dev/null` ; set -e
     1044if [ "$mysvn" = "" ] ; then mysvn=`grep 'Revision: [0-9]' $MODEL/Read*.md | awk ' { print $2 } ' 2>/dev/null` ; fi
     1045if [ "$mysvn" = "" ] ; then mysvn=4190 ; fi
     1046
     1047#---------------------------------------------------------------------
    10401048# Option de compilation du rayonnement : depend de $mysvn ><= r4185
     1049#---------------------------------------------------------------------
    10411050opt_rad=""
    10421051
Note: See TracChangeset for help on using the changeset viewer.